package org.kde.qt;


/** {@link QMultiLineEdit} emits these signals */
public interface QMultiLineEditSignals {
	void redoAvailable( boolean yes );
	void undoAvailable( boolean yes );
	void currentAlignmentChanged( int a );
	void verticalSliderPressed();
	void horizontalSliderPressed();
	void textChanged();
	void returnPressed();
	void contentsMoving( int x, int y );
	void destroyed( QObject obj );
	void currentFontChanged( QFont f );
	void cursorPositionChanged( int para, int pos );
	void verticalSliderReleased();
	void modificationChanged( boolean m );
	void selectionChanged();
	void doubleClicked( int parag, int index );
	void horizontalSliderReleased();
	void currentColorChanged( QColor c );
	void copyAvailable( boolean arg1 );
	void currentVerticalAlignmentChanged( int a );
	void clicked( int parag, int index );
}

